
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
    <title>LSsca module &mdash; pySAXS 77.September2012 documentation</title>
    
    <link rel="stylesheet" href="_static/pyramid.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    '',
        VERSION:     '77.September2012',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <link rel="top" title="pySAXS 77.September2012 documentation" href="index.html" />
    <link rel="prev" title="xraylib Package" href="pySAXS.xraylib.html" />
<link rel="stylesheet" href="http://fonts.googleapis.com/css?family=Neuton&amp;subset=latin" type="text/css" media="screen" charset="utf-8" />
<link rel="stylesheet" href="http://fonts.googleapis.com/css?family=Nobile:regular,italic,bold,bolditalic&amp;subset=latin" type="text/css" media="screen" charset="utf-8" />
<!--[if lte IE 6]>
<link rel="stylesheet" href="_static/ie6.css" type="text/css" media="screen" charset="utf-8" />
<![endif]-->

  </head>
  <body>

    <div class="related">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="pySAXS.xraylib.html" title="xraylib Package"
             accesskey="P">previous</a> |</li>
        <li><a href="index.html">pySAXS 77.September2012 documentation</a> &raquo;</li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body">
            
  <div class="section" id="lssca-module">
<h1>LSsca module<a class="headerlink" href="#lssca-module" title="Permalink to this headline">¶</a></h1>
<div class="section" id="pysaxs-ls-lssca-module">
<h2><a class="reference internal" href="#module-pySAXS.LS.LSsca" title="pySAXS.LS.LSsca"><tt class="xref py py-mod docutils literal"><span class="pre">pySAXS.LS.LSsca</span></tt></a> Module<a class="headerlink" href="#pysaxs-ls-lssca-module" title="Permalink to this headline">¶</a></h2>
<span class="target" id="module-pySAXS.LS.LSsca"></span><p>pySAXS python routines for small angle xray scattering.
This is the core of pySAXS
containing usefull function for SAXS data treatment,
tested and optimized amplitude and form factor</p>
<dl class="function">
<dt id="pySAXS.LS.LSsca.Cubedre">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">Cubedre</tt><big>(</big><em>a</em>, <em>L</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#Cubedre"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.Cubedre" title="Permalink to this definition">¶</a></dt>
<dd><p>return the 3D coordinates of the 6 submits of a cube</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.Dalpha">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">Dalpha</tt><big>(</big><em>par</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#Dalpha"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.Dalpha" title="Permalink to this definition">¶</a></dt>
<dd><p>This function returns a modified lognormal distribution for the
array r with an averaga size rm and a standard deviation sigma</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.Decaedre">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">Decaedre</tt><big>(</big><em>a</em>, <em>b</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#Decaedre"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.Decaedre" title="Permalink to this definition">¶</a></dt>
<dd><p>returne the 3D cartesian coordinates of the seven sumits of decahedra</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.Dexpon">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">Dexpon</tt><big>(</big><em>par</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#Dexpon"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.Dexpon" title="Permalink to this definition">¶</a></dt>
<dd><p>This function returns a modified lognormal distribution for the
array r with an averaga size rm and a standard deviation sigma</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.Dgauss">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">Dgauss</tt><big>(</big><em>par</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#Dgauss"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.Dgauss" title="Permalink to this definition">¶</a></dt>
<dd><p>This function returns a gaussian distribution for the array r with an
averaga size rm and a standard deviation sigma.</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.Dlognormal">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">Dlognormal</tt><big>(</big><em>par</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#Dlognormal"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.Dlognormal" title="Permalink to this definition">¶</a></dt>
<dd><p>This function returns a modified lognormal distribution for the
array r with an averaga size rm and a standard deviation sigma</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.Doublet_Multiplet">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">Doublet_Multiplet</tt><big>(</big><em>a</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#Doublet_Multiplet"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.Doublet_Multiplet" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.Dshultz">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">Dshultz</tt><big>(</big><em>r</em>, <em>rav</em>, <em>z</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#Dshultz"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.Dshultz" title="Permalink to this definition">¶</a></dt>
<dd><p>This function returns a shultz distribution for the array r with rav,
z as parameter</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.F1">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">F1</tt><big>(</big><em>q</em>, <em>R</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#F1"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.F1" title="Permalink to this definition">¶</a></dt>
<dd><p>This function returns a scattering amplitude of a sphere of radius R for q</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.F2">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">F2</tt><big>(</big><em>q</em>, <em>R1</em>, <em>R2</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#F2"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.F2" title="Permalink to this definition">¶</a></dt>
<dd><p>This function returns a scattering amplitude of an empty shell of internal
radius R2 and external radius R2 for q</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.F3">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">F3</tt><big>(</big><em>q</em>, <em>R</em>, <em>rho</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#F3"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.F3" title="Permalink to this definition">¶</a></dt>
<dd><p>This function returns the scattering amplitude of spherically symetric
shells of internal radius Ri and scattering length density rhoi for q</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.F3elli">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">F3elli</tt><big>(</big><em>q</em>, <em>R</em>, <em>e</em>, <em>rho</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#F3elli"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.F3elli" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.FaceTri">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">FaceTri</tt><big>(</big><em>R</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#FaceTri"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.FaceTri" title="Permalink to this definition">¶</a></dt>
<dd><p>return the 5 faces of the triedre</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.FacesDeca">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">FacesDeca</tt><big>(</big><em>R</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#FacesDeca"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.FacesDeca" title="Permalink to this definition">¶</a></dt>
<dd><p>return the faces of the decaedra R</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.FacesHexa">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">FacesHexa</tt><big>(</big><em>R</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#FacesHexa"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.FacesHexa" title="Permalink to this definition">¶</a></dt>
<dd><p>return the faces of the hexaedre_cyl R, fonctionne pour le deforme egalement</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.FacesHexa_creux_def">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">FacesHexa_creux_def</tt><big>(</big><em>R</em>, <em>Rin</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#FacesHexa_creux_def"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.FacesHexa_creux_def" title="Permalink to this definition">¶</a></dt>
<dd><p>return the faces of the hexaedre_cyl R</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.FacesTetraedre">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">FacesTetraedre</tt><big>(</big><em>R</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#FacesTetraedre"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.FacesTetraedre" title="Permalink to this definition">¶</a></dt>
<dd><p>returns the faces of the tetraedre</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.Facescube">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">Facescube</tt><big>(</big><em>R</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#Facescube"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.Facescube" title="Permalink to this definition">¶</a></dt>
<dd><p>return the 6 faces of the Cubedre</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.Faceshexaedre">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">Faceshexaedre</tt><big>(</big><em>R</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#Faceshexaedre"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.Faceshexaedre" title="Permalink to this definition">¶</a></dt>
<dd><p>returns the 6 faces of the hexaedre</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.Facesoctaedre">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">Facesoctaedre</tt><big>(</big><em>R</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#Facesoctaedre"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.Facesoctaedre" title="Permalink to this definition">¶</a></dt>
<dd><p>returns the faces of the octaedre</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.Guinier">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">Guinier</tt><big>(</big><em>q</em>, <em>I0</em>, <em>Rg</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#Guinier"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.Guinier" title="Permalink to this definition">¶</a></dt>
<dd><p>Guinier function</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.Hexaedre">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">Hexaedre</tt><big>(</big><em>a</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#Hexaedre"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.Hexaedre" title="Permalink to this definition">¶</a></dt>
<dd><p>returns the 3D coordinates of the 8 summits of an hexaedre side length a</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.Hexaedre_cyl">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">Hexaedre_cyl</tt><big>(</big><em>a</em>, <em>L</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#Hexaedre_cyl"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.Hexaedre_cyl" title="Permalink to this definition">¶</a></dt>
<dd><p>return the 3D coordinates of the 12 submits of an hexaedre_cyl</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.Hexaedre_def">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">Hexaedre_def</tt><big>(</big><em>a</em>, <em>b</em>, <em>L</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#Hexaedre_def"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.Hexaedre_def" title="Permalink to this definition">¶</a></dt>
<dd><p>return the 3D coordinates of the 12 submits of an hexaedre_cyl deforme (a,b) au lieu de (a,a)</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.Idqc">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">Idqc</tt><big>(</big><em>q</em>, <em>rho1</em>, <em>rho2</em>, <em>rho3</em>, <em>al1</em>, <em>al2</em>, <em>al3</em>, <em>Phi1</em>, <em>Phi2</em>, <em>RG0</em>, <em>RGsig</em>, <em>R1</em>, <em>sigR1</em>, <em>R3</em>, <em>sigR3</em>, <em>taoL</em>, <em>taoS</em>, <em>scale</em>, <em>reduc</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#Idqc"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.Idqc" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.Multiplet">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">Multiplet</tt><big>(</big><em>q</em>, <em>L</em>, <em>rho</em>, <em>R</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#Multiplet"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.Multiplet" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.Normale">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">Normale</tt><big>(</big><em>Face</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#Normale"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.Normale" title="Permalink to this definition">¶</a></dt>
<dd><p>returns the oriented and normalized normal to the face</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.Octaedre">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">Octaedre</tt><big>(</big><em>a</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#Octaedre"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.Octaedre" title="Permalink to this definition">¶</a></dt>
<dd><p>returns the 3D coordinates of the 6 summits of a octaaedre of side length a</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.P1">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">P1</tt><big>(</big><em>q</em>, <em>R</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#P1"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.P1" title="Permalink to this definition">¶</a></dt>
<dd><p>This function returns the form factor of a sphere of radius R for q</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.P11">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">P11</tt><big>(</big><em>q</em>, <em>R</em>, <em>L</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#P11"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.P11" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.P11_int">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">P11_int</tt><big>(</big><em>q</em>, <em>R</em>, <em>L</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#P11_int"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.P11_int" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.P1Sqdist">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">P1Sqdist</tt><big>(</big><em>q</em>, <em>type</em>, <em>rm</em>, <em>sigma</em>, <em>eta</em>, <em>tao</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#P1Sqdist"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.P1Sqdist" title="Permalink to this definition">¶</a></dt>
<dd><p>This function returns the form factor of a dsitribution of spheres of
radius R for q</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.P1dist">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">P1dist</tt><big>(</big><em>q</em>, <em>Dfunc</em>, <em>par</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#P1dist"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.P1dist" title="Permalink to this definition">¶</a></dt>
<dd><p>This function returns the form factor of a dsitribution of spheres of
radius R for q</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.P2">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">P2</tt><big>(</big><em>q</em>, <em>R1</em>, <em>R2</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#P2"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.P2" title="Permalink to this definition">¶</a></dt>
<dd><p>This function returns the form factor of an empty shell of internal radius
R2 and external radius R2 for q</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.P3">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">P3</tt><big>(</big><em>q</em>, <em>R</em>, <em>rho</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#P3"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.P3" title="Permalink to this definition">¶</a></dt>
<dd><p>This function returns the form factor of spherically symetric shells of
internal radius Ri and scattering length density rhoi for q</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.P3elli">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">P3elli</tt><big>(</big><em>q</em>, <em>R</em>, <em>e</em>, <em>rho</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#P3elli"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.P3elli" title="Permalink to this definition">¶</a></dt>
<dd><p>This function returns the form factor of spherically symetric shells of
internal radius Ri and scattering length density rhoi for q</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.P5">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">P5</tt><big>(</big><em>q</em>, <em>R</em>, <em>e</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#P5"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.P5" title="Permalink to this definition">¶</a></dt>
<dd><p>This function returns the form factor of an ellipsoid of revolution with
semi-axes R, R and e*R for q</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.P5_conc_int">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">P5_conc_int</tt><big>(</big><em>q</em>, <em>R</em>, <em>e</em>, <em>rho</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#P5_conc_int"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.P5_conc_int" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.P5_int">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">P5_int</tt><big>(</big><em>q</em>, <em>R</em>, <em>e</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#P5_int"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.P5_int" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.P5conc">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">P5conc</tt><big>(</big><em>q</em>, <em>R</em>, <em>e</em>, <em>rho</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#P5conc"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.P5conc" title="Permalink to this definition">¶</a></dt>
<dd><p>This function returns the form factor of an concentric ellipsoid
of revolutions with semi-axes R, R and e*R for q</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.P5dist">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">P5dist</tt><big>(</big><em>q</em>, <em>type</em>, <em>rm</em>, <em>sigma</em>, <em>e</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#P5dist"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.P5dist" title="Permalink to this definition">¶</a></dt>
<dd><p>This function returns the form factor of a dsitribution of ellipses with
semi-axes R, R and e*R for q</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.PS">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">PS</tt><big>(</big><em>a</em>, <em>b</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#PS"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.PS" title="Permalink to this definition">¶</a></dt>
<dd><p>return the scalar product of two vetors</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.PV">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">PV</tt><big>(</big><em>u</em>, <em>v</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#PV"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.PV" title="Permalink to this definition">¶</a></dt>
<dd><p>return the vector orthogonal to u and v</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.Pcyl">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">Pcyl</tt><big>(</big><em>q</em>, <em>R</em>, <em>L</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#Pcyl"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.Pcyl" title="Permalink to this definition">¶</a></dt>
<dd><p>Optimized version of P11 OS
This function calculates the P(q) of a cylinder of length L and radius R</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.Pcylcos">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">Pcylcos</tt><big>(</big><em>q</em>, <em>R</em>, <em>L</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#Pcylcos"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.Pcylcos" title="Permalink to this definition">¶</a></dt>
<dd><p>Optimized version of P11 OS
This function calculates the P(q) of a cylinder of length L and radius R</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.Pcylcouche">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">Pcylcouche</tt><big>(</big><em>q</em>, <em>rho</em>, <em>R</em>, <em>L</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#Pcylcouche"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.Pcylcouche" title="Permalink to this definition">¶</a></dt>
<dd><p>This function calculates the scaled by volume square and scattering length density P(q)
of a cylinder of inner length L1 and radius R1 and outer length L2 and radius R2.
It is thus more versatile than Pcylcreux</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.Pcylcreux">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">Pcylcreux</tt><big>(</big><em>q</em>, <em>Ri</em>, <em>Ro</em>, <em>L</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#Pcylcreux"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.Pcylcreux" title="Permalink to this definition">¶</a></dt>
<dd><p>This function calculates the P(q) normalized to one at q=0 of an hollow cylinder of length L inner radius Ri and outer radius Ro</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.Pcylcreuxcan">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">Pcylcreuxcan</tt><big>(</big><em>q</em>, <em>a</em>, <em>Ri</em>, <em>Ro</em>, <em>L</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#Pcylcreuxcan"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.Pcylcreuxcan" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.Pcylcreuxqcq">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">Pcylcreuxqcq</tt><big>(</big><em>q</em>, <em>Ri</em>, <em>L</em>, <em>alp</em>, <em>b</em>, <em>x0</em>, <em>delt</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#Pcylcreuxqcq"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.Pcylcreuxqcq" title="Permalink to this definition">¶</a></dt>
<dd><p>contient une erreur en date du 30 avril 2009 connue mais a corriger
This function calculates the P(q) normalized to one at q=0 of an hollow cylinder of length L inner radius Ri and outer radius Ro</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.Pcylh">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">Pcylh</tt><big>(</big><em>q</em>, <em>R</em>, <em>L</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#Pcylh"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.Pcylh" title="Permalink to this definition">¶</a></dt>
<dd><p>Optimized version of P11 OS
This function calculates the P(q) of a cylinder of length L and radius R with two hemispheres of redaisu R as cap ends
is associated with dPcylh</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.Pcylmulti">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">Pcylmulti</tt><big>(</big><em>q</em>, <em>R</em>, <em>rho</em>, <em>L</em>, <em>rhos</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#Pcylmulti"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.Pcylmulti" title="Permalink to this definition">¶</a></dt>
<dd><p>This function calculates at the absolute scale the P(q) of a cylinder of length L and and multilayers R of density Rho the last one being solvent</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.Pcylvb">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">Pcylvb</tt><big>(</big><em>q</em>, <em>R</em>, <em>L</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#Pcylvb"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.Pcylvb" title="Permalink to this definition">¶</a></dt>
<dd><p>This function calculates the P(q) normalized to one at q=0 of a cylinder of length L and radius R</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.PdqHexa3">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">PdqHexa3</tt><big>(</big><em>q</em>, <em>R</em>, <em>L</em>, <em>N</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#PdqHexa3"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.PdqHexa3" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.PdqHexacoq">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">PdqHexacoq</tt><big>(</big><em>q</em>, <em>Ri</em>, <em>Ro</em>, <em>L</em>, <em>N</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#PdqHexacoq"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.PdqHexacoq" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.Pdqhexa">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">Pdqhexa</tt><big>(</big><em>q</em>, <em>a</em>, <em>N</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#Pdqhexa"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.Pdqhexa" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.Pdqocta">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">Pdqocta</tt><big>(</big><em>q</em>, <em>a</em>, <em>N</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#Pdqocta"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.Pdqocta" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.Pdqpoly">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">Pdqpoly</tt><big>(</big><em>q1</em>, <em>FacePoly</em>, <em>sign</em>, <em>N</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#Pdqpoly"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.Pdqpoly" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.Pdqtetra">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">Pdqtetra</tt><big>(</big><em>q</em>, <em>a</em>, <em>N</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#Pdqtetra"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.Pdqtetra" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.PolyGauss_ana_Norm">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">PolyGauss_ana_Norm</tt><big>(</big><em>q</em>, <em>par</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#PolyGauss_ana_Norm"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.PolyGauss_ana_Norm" title="Permalink to this definition">¶</a></dt>
<dd><p>This fucntion calculates the normalized P(q) of a gaussian distribution of spheres centered in par[0] with an extension par[1]
q array of q (A-1)
par[0] Mean radius(A)
par[1] Gaussian standard deviation (A)</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.PolySphere_int">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">PolySphere_int</tt><big>(</big><em>q</em>, <em>Dfunc</em>, <em>par</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#PolySphere_int"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.PolySphere_int" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.Porod">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">Porod</tt><big>(</big><em>q</em>, <em>B</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#Porod"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.Porod" title="Permalink to this definition">¶</a></dt>
<dd><p>Porod function
q**-4*B*1e-32</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.Ppara">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">Ppara</tt><big>(</big><em>q</em>, <em>a</em>, <em>b</em>, <em>c</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#Ppara"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.Ppara" title="Permalink to this definition">¶</a></dt>
<dd><p>This function calculates the P(q) normalized to one at q=0 of a parallelepiped a,b,c (not finished 21/10/2009. this function makes use of dPpara
which makes the integral over alpha</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.ProjSommets">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">ProjSommets</tt><big>(</big><em>Face</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#ProjSommets"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.ProjSommets" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.Qlogspace">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">Qlogspace</tt><big>(</big><em>qmin</em>, <em>qmax</em>, <em>np</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#Qlogspace"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.Qlogspace" title="Permalink to this definition">¶</a></dt>
<dd><p>This function returns an array of np q values evenlly separated in
log scale between qmin and qmax</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.R">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">R</tt><big>(</big><em>R</em>, <em>L</em>, <em>x</em>, <em>alp</em>, <em>b</em>, <em>x0</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#R"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.R" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.SHexa">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">SHexa</tt><big>(</big><em>R</em>, <em>L</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#SHexa"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.SHexa" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.SS">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">SS</tt><big>(</big><em>f</em>, <em>p</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#SS"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.SS" title="Permalink to this definition">¶</a></dt>
<dd><p>This function returns the specific surface of a distribution of
spheres
f function to compute the distribution
p array of parameter</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.Scyl">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">Scyl</tt><big>(</big><em>R</em>, <em>L</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#Scyl"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.Scyl" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.SqSticky">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">SqSticky</tt><big>(</big><em>q</em>, <em>R</em>, <em>eta</em>, <em>tao</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#SqSticky"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.SqSticky" title="Permalink to this definition">¶</a></dt>
<dd><p>This function computes the Baxter structure factor
eta is the volume fraction
tao is the sticky factor
R is the radius in A
q is an array of scattering vectors A-1</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.Surf">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">Surf</tt><big>(</big><em>S</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#Surf"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.Surf" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.TFS">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">TFS</tt><big>(</big><em>Sommets</em>, <em>a</em>, <em>b</em>, <em>qx</em>, <em>qy</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#TFS"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.TFS" title="Permalink to this definition">¶</a></dt>
<dd><p>returns the ff of polygon for a matrix qx,qy</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.TFSpi">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">TFSpi</tt><big>(</big><em>Sommets</em>, <em>a</em>, <em>b</em>, <em>qx</em>, <em>qy</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#TFSpi"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.TFSpi" title="Permalink to this definition">¶</a></dt>
<dd><p>returns the ff of polygon for a matrix qx,qy</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.TFSs">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">TFSs</tt><big>(</big><em>Sommets</em>, <em>a</em>, <em>b</em>, <em>qx</em>, <em>qy</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#TFSs"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.TFSs" title="Permalink to this definition">¶</a></dt>
<dd><p>returns the ff of polygon for a scalar qx qy</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.Tetra1_Multiplet">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">Tetra1_Multiplet</tt><big>(</big><em>b</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#Tetra1_Multiplet"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.Tetra1_Multiplet" title="Permalink to this definition">¶</a></dt>
<dd><p>b is the distance between spheres</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.Tetra2_Multiplet">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">Tetra2_Multiplet</tt><big>(</big><em>c</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#Tetra2_Multiplet"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.Tetra2_Multiplet" title="Permalink to this definition">¶</a></dt>
<dd><p>c is the distance between the core and the satellites</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.Tetra_Multiplet">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">Tetra_Multiplet</tt><big>(</big><em>a</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#Tetra_Multiplet"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.Tetra_Multiplet" title="Permalink to this definition">¶</a></dt>
<dd><p>semble suspect</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.Tetraedre">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">Tetraedre</tt><big>(</big><em>a</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#Tetraedre"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.Tetraedre" title="Permalink to this definition">¶</a></dt>
<dd><p>returns the 3D coordinates of the 4 summits of a tetraedreof side length a</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.Triedre">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">Triedre</tt><big>(</big><em>a</em>, <em>L</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#Triedre"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.Triedre" title="Permalink to this definition">¶</a></dt>
<dd><p>return the 3D coordinates of the 6 submits of a triedre</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.Triplet_Multiplet">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">Triplet_Multiplet</tt><big>(</big><em>a</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#Triplet_Multiplet"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.Triplet_Multiplet" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.VHexa">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">VHexa</tt><big>(</big><em>R</em>, <em>L</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#VHexa"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.VHexa" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.Vcyl">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">Vcyl</tt><big>(</big><em>R</em>, <em>L</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#Vcyl"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.Vcyl" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.Vcylcreuxcan">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">Vcylcreuxcan</tt><big>(</big><em>a</em>, <em>Ri</em>, <em>Ro</em>, <em>L</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#Vcylcreuxcan"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.Vcylcreuxcan" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.Vcylcreuxqcq">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">Vcylcreuxqcq</tt><big>(</big><em>Ri</em>, <em>L</em>, <em>alp</em>, <em>b</em>, <em>x0</em>, <em>delt</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#Vcylcreuxqcq"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.Vcylcreuxqcq" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.amplitude_multiplet">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">amplitude_multiplet</tt><big>(</big><em>q</em>, <em>L</em>, <em>rho</em>, <em>R</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#amplitude_multiplet"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.amplitude_multiplet" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.angle">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">angle</tt><big>(</big><em>teta</em>, <em>phi</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#angle"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.angle" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.dPcylb">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">dPcylb</tt><big>(</big><em>qi</em>, <em>R</em>, <em>L</em>, <em>al</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#dPcylb"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.dPcylb" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.dPcylh">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">dPcylh</tt><big>(</big><em>qi</em>, <em>R</em>, <em>L</em>, <em>al</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#dPcylh"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.dPcylh" title="Permalink to this definition">¶</a></dt>
<dd><p>Subfunction of Pcylh</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.dPpara">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">dPpara</tt><big>(</big><em>q</em>, <em>a</em>, <em>b</em>, <em>c</em>, <em>beta</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#dPpara"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.dPpara" title="Permalink to this definition">¶</a></dt>
<dd><p>Side function of Ppara</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.ddPcylh">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">ddPcylh</tt><big>(</big><em>qi</em>, <em>R</em>, <em>al</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#ddPcylh"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.ddPcylh" title="Permalink to this definition">¶</a></dt>
<dd><p>Sub-sub-function of dPcylh</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.distance">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">distance</tt><big>(</big><em>A</em>, <em>B</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#distance"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.distance" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.f">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">f</tt><big>(</big><em>x</em>, <em>y</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#f"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.f" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.fP11_int">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">fP11_int</tt><big>(</big><em>x</em>, <em>q</em>, <em>R</em>, <em>L</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#fP11_int"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.fP11_int" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.fP5_conc_int">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">fP5_conc_int</tt><big>(</big><em>x</em>, <em>q</em>, <em>R</em>, <em>e</em>, <em>rho</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#fP5_conc_int"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.fP5_conc_int" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.fP5_int">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">fP5_int</tt><big>(</big><em>x</em>, <em>q</em>, <em>R</em>, <em>e</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#fP5_int"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.fP5_int" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.fPolySphere_int">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">fPolySphere_int</tt><big>(</big><em>R</em>, <em>q</em>, <em>Dfunc</em>, <em>Arg</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#fPolySphere_int"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.fPolySphere_int" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.fcan">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">fcan</tt><big>(</big><em>x</em>, <em>y</em>, <em>z</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#fcan"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.fcan" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.fcanb">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">fcanb</tt><big>(</big><em>x</em>, <em>y</em>, <em>z</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#fcanb"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.fcanb" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.getRmoydist">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">getRmoydist</tt><big>(</big><em>R</em>, <em>D</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#getRmoydist"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.getRmoydist" title="Permalink to this definition">¶</a></dt>
<dd><p>This function returns the form factor of a dsitribution of spheres of
radius R for q</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.getV">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">getV</tt><big>(</big><em>R</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#getV"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.getV" title="Permalink to this definition">¶</a></dt>
<dd><p>This function returns a the volume of a sphere with radius r</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.getVelli">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">getVelli</tt><big>(</big><em>R</em>, <em>e</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#getVelli"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.getVelli" title="Permalink to this definition">¶</a></dt>
<dd><p>This function returns a the volume of a sphere with radius r</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.pente">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">pente</tt><big>(</big><em>Sommets</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#pente"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.pente" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.qvectors">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">qvectors</tt><big>(</big><em>q</em>, <em>teta</em>, <em>phi</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#qvectors"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.qvectors" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="pySAXS.LS.LSsca.qvectorspi">
<tt class="descclassname">pySAXS.LS.LSsca.</tt><tt class="descname">qvectorspi</tt><big>(</big><em>q</em>, <em>teta</em>, <em>phi</em><big>)</big><a class="reference internal" href="_modules/pySAXS/LS/LSsca.html#qvectorspi"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.LS.LSsca.qvectorspi" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</div>
</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar">
        <div class="sphinxsidebarwrapper">
  <h3><a href="index.html">Table Of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#">LSsca module</a><ul>
<li><a class="reference internal" href="#pysaxs-ls-lssca-module"><tt class="docutils literal"><span class="pre">pySAXS.LS.LSsca</span></tt> Module</a></li>
</ul>
</li>
</ul>

  <h4>Previous topic</h4>
  <p class="topless"><a href="pySAXS.xraylib.html"
                        title="previous chapter">xraylib Package</a></p>
<div id="searchbox" style="display: none">
  <h3>Quick search</h3>
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    <p class="searchtip" style="font-size: 90%">
    Enter search terms or a module, class or function name.
    </p>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="pySAXS.xraylib.html" title="xraylib Package"
             >previous</a> |</li>
        <li><a href="index.html">pySAXS 77.September2012 documentation</a> &raquo;</li> 
      </ul>
    </div>
    <div class="footer">
        &copy; Copyright 2012, CEA - IRAMIS - LIONS.
      Created using <a href="http://sphinx.pocoo.org/">Sphinx</a> 1.1.3.
    </div>
  </body>
</html>